﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tektronix THS700x (1 yr) VER RS-232 /9100+Opt250
DATE:                  2017-04-07 13:03:34
AUTHOR:                Fluke
REVISION:              $Revision: 19179 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       175
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        THS710A, THS720A, THS720P, THS730A
# 
#  Source(s):
#        Tektronix THS710A, THS720A, THS730A & THS720P TekScope Service manual
#        070-9752-02
# 
#  Additional Equipment Required:
#        Banana to Banana Calbe(two required)
#        50 Ohm BNC Cable
#        50 Ohm Feedthrough Termination
#        Dual Banana to BNC Adapter
#        RJ-45 to 9-pin female null modem adapter(standard)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         100MH                        1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("8.0"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         10 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  CALL         Sub Tek THS700x Setup RS-232

  1.016  PORT         *RST;*OPC?[I!]

  1.017  HEAD         UUT IDENTIFICATION
  1.018  CALL         Sub IEEE-488.2 Identification Query RS-232

  1.019  MATH         @UUT_Manufacturer = "Tektronix"
  1.020  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.021  JMPL         END                           @Abort

  1.022  CALL         Sub Tek THS700x Check Firmware Version
  1.023  JMPL         END                           @Abort

  1.024  HEAD         EQUIPMENT REQUIREMENTS
  1.025  OPBR         -z Do you want to REVIEW the list of additional
  1.025  OPBR         equipment and/or accessories required?

  1.026  IF           MEM1
  1.027  DISP         - Banana to Banana Calbe(two required)
  1.027  DISP         - 50 Ohm BNC Cable
  1.027  DISP         - 50 Ohm Feedthrough Termination
  1.027  DISP         - Dual Banana to BNC Adapter
  1.027  DISP         - RJ-45 to 9-pin female null modem adapter(standard)
  1.028  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS (CH1)
#    6.   BANDWIDTH (CH2)                    SAMPLE RATE
#    7.   TRIGGER SENS (CH1)                 DCV GAIN (CH2)
#    8.   TRIGGER SENS (CH2)                 BANDWIDTH (CH2)
#    9.   SAMPLE RATE                        TRIGGER SENS (CH2)
#   10.   DMM DCV                            DMM DCV
#   11.   DMM ACV                            DMM ACV
#   12.   DMM RESISTANCE                     DMM RESISTANCE

  1.029  CALL         Sub Tek THS700x Set Bandwidth
  1.030  CALL         Sub Tek THS700x Sig Path Comp Cal RS-232
  1.031  JMPL         END                           @Abort

  1.032  CALL         Sub Tek THS700x Self-Test RS-232
  1.033  JMPL         END                           @Abort

  1.034  DISP         Connect the 9100 SCOPE OUT to the UUT CH1.
  1.035  MATH         @Chan = 1
  1.036  CALL         Sub Tek THS700x (1 yr) DCV VER RS-232 /9100+S2
  1.037  JMPL         BANDWIDTH_CH1

  1.038  LABEL        DCV_CH2
  1.039  DISP         Connect the 9100 SCOPE OUT to the UUT CH2.
  1.040  MATH         @Chan = 2
  1.041  CALL         Sub Tek THS700x (1 yr) DCV VER RS-232 /9100+S2
  1.042  JMPL         BANDWIDTH_CH2

  1.043  LABEL        BANDWIDTH_CH1
  1.044  DISP         Connect the 9100 Scope Out to UUT CH1 via 50 Ohm
  1.044  DISP         termination.
  1.045  MATH         @Chan = 1
  1.046  CALL         Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /9100+S2
  1.047  JMPL         TRIG_CH1

  1.048  LABEL        BANDWIDTH_CH2
  1.049  DISP         Connect the 9100 Scope Out to UUT CH2 via 50 Ohm
  1.049  DISP         termination.
  1.050  MATH         @Chan = 2
  1.051  CALL         Sub Tek THS700x (1 yr) Bandwidth VER RS-232 /9100+S2
  1.052  JMPL         TRIG_CH2

  1.053  LABEL        TRIG_CH1
  1.054  MATH         @Chan = 1
  1.055  CALL         Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /9100+S2
  1.056  JMPL         SAMPLE_RATE

  1.057  LABEL        TRIG_CH2
  1.058  MATH         @Chan = 2
  1.059  CALL         Sub Tek THS700x (1 yr) Trig Sens VER RS-232 /9100+S2
  1.060  JMPL         DMM_DCV_CH1

  1.061  LABEL        SAMPLE_RATE
  1.062  MATH         @Chan = 1
  1.063  CALL         Sub Tek THS700x (1 yr) Sample Rate VER RS-232 /9100+S2
  1.064  JMPL         DCV_CH2

  1.065  LABEL        DMM_DCV_CH1
  1.066  CALL         Sub Tek THS700x (1 yr) DMM DCV VER RS-232 /9100
  1.067  CALL         Sub Tek THS700x (1 yr) DMM ACV VER RS-232 /9100
  1.068  CALL         Sub Tek THS700x (1 yr) DMM Resistance VER RS-232 /9100

  1.069  LABEL        END
  1.070  HEAD         -2

  1.071  IF           @Abort
  1.072  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.073  ELSE
  1.074  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.075  ENDIF

  1.076  END
